
package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.CodigoBarraTrecho;

public class RenderCodigoBarraTrecho implements ListitemRenderer {

	public void render(Listitem lstm, Object o) throws Exception {
		CodigoBarraTrecho codigoBarraTrecho = (CodigoBarraTrecho) o;

		Listcell lc = new Listcell(codigoBarraTrecho.getCodigoBarraId().toString());
		lc.setParent(lstm);

		lc = new Listcell(codigoBarraTrecho.getEmpresa().getNombempresa());
		lc.setParent(lstm);

		lc = new Listcell(codigoBarraTrecho.getOrigen().getDescparada());
		lc.setParent(lstm);

		lc = new Listcell(codigoBarraTrecho.getDestino().getDescparada());
		lc.setParent(lstm);

		lc = new Listcell(codigoBarraTrecho.getCodTerminal());
		lc.setParent(lstm);

		lc = new Listcell(codigoBarraTrecho.getCodEmpresa());
		lc.setParent(lstm);

		lc = new Listcell(codigoBarraTrecho.getCodRuta());
		lc.setParent(lstm);

		lstm.setAttribute("data", codigoBarraTrecho);
	}
}
